Subject: Re: [PATCH v3 1/1] range-diff: treat notes like `log`

From: Junio C Hamano <[email-masked]>
Date: Thu, 14 Sep 2023 09:18:49 -0700

Johannes Schindelin <[email-masked]> writes:

> A much more surgical way to address the issue at hand might be this
> (Kristoffer, what do you think? It's missing documentation for the
> newly-introduced `--show-notes-by-default` option, but you get the idea):

Clever.  I was wondering if the option parsing done by the revision
machinery was readily available for us to use from range-diff code,
but because we are forking out to "log" anyway, giving it the new
"--show-notes-by-default" option does sound like a much easier way
out.  It would help something like

	[alias] ln = !"git log --show-notes-by-default"

as well.  Nicely designed.